pangomm 2.35.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Related Functions | List of all members
Pango::GlyphGeometry Class Reference

A Pango::GlyphGeometry contains width and positioning information for a single glyph. More...

`#include <pangomm/glyph.h>`

## Public Member Functions
| GlyphGeometry ()
| GlyphGeometry (const PangoGlyphGeometry* src)
GlyphUnit | get_width () const
| Gets the logical width to use for the character. More...
GlyphUnit | get_x_offset () const
| Gets the horizontal offset from nominal character position. More...
GlyphUnit | get_y_offset () const
| Gets the vertical offset from nominal character position. More...
PangoGlyphGeometry* | gobj ()
const PangoGlyphGeometry* | gobj () const

## Protected Attributes
PangoGlyphGeometry | gobject_

## Related Functions
(Note that these are not member functions.)
Pango::GlyphGeometry& | wrap (PangoGlyphGeometry* object)
const Pango::GlyphGeometry& | wrap (const PangoGlyphGeometry* object)

## Detailed Description

A Pango::GlyphGeometry contains width and positioning information for a single glyph.

Distances are in 1/64ths of a point.

## Constructor & Destructor Documentation

Pango::GlyphGeometry::GlyphGeometry | ( |  | ) |

Pango::GlyphGeometry::GlyphGeometry | ( | const PangoGlyphGeometry * | src | ) |
| explicit

## Member Function Documentation

GlyphUnit Pango::GlyphGeometry::get_width | ( |  | ) | const

Gets the logical width to use for the character.

Returns
  The logical width.

GlyphUnit Pango::GlyphGeometry::get_x_offset | ( |  | ) | const

Gets the horizontal offset from nominal character position.

Returns
  The horizontal offset.

GlyphUnit Pango::GlyphGeometry::get_y_offset | ( |  | ) | const

Gets the vertical offset from nominal character position.

Returns
  The vertical offset.

PangoGlyphGeometry* Pango::GlyphGeometry::gobj | ( |  | ) |
| inline

const PangoGlyphGeometry* Pango::GlyphGeometry::gobj | ( |  | ) | const
| inline

## Friends And Related Function Documentation

Pango::GlyphGeometry& wrap | ( | PangoGlyphGeometry * | object | ) |
| related

const Pango::GlyphGeometry& wrap | ( | const PangoGlyphGeometry * | object | ) |
| related

## Member Data Documentation

PangoGlyphGeometry Pango::GlyphGeometry::gobject_
| protected